org.apache.cassandra.index.sasi.disk

## Class DynamicTokenTreeBuilder

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder
  - - org.apache.cassandra.index.sasi.disk.DynamicTokenTreeBuilder

All Implemented Interfaces:
  java.lang.Iterable<Pair<java.lang.Long,com.carrotsearch.hppc.LongSet>>, TokenTreeBuilder

    public class DynamicTokenTreeBuilder
    extends AbstractTokenTreeBuilder

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder

`AbstractTokenTreeBuilder.InteriorNode, AbstractTokenTreeBuilder.Leaf, AbstractTokenTreeBuilder.LevelIterator, AbstractTokenTreeBuilder.Node`

### Nested classes/interfaces inherited from interface org.apache.cassandra.index.sasi.disk.TokenTreeBuilder

`TokenTreeBuilder.EntryType`

### Field Summary

### Fields inherited from class org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder

`leftmostLeaf, numBlocks, rightmostLeaf, rightmostParent, root, tokenCount, treeMaxToken, treeMinToken`

### Fields inherited from interface org.apache.cassandra.index.sasi.disk.TokenTreeBuilder

`AB_MAGIC, BLOCK_BYTES, BLOCK_ENTRY_BYTES, BLOCK_HEADER_BYTES, ENTRY_TYPE_MASK, LAST_LEAF_SHIFT, MAX_OFFSET, OVERFLOW_ENTRY_BYTES, OVERFLOW_TRAILER_BYTES, OVERFLOW_TRAILER_CAPACITY, SHARED_HEADER_BYTES, TOKENS_PER_BLOCK`

### Constructor Summary

Constructors
Constructor and Description
`DynamicTokenTreeBuilder()`
`DynamicTokenTreeBuilder(java.util.SortedMap<java.lang.Long,com.carrotsearch.hppc.LongSet> data)`
`DynamicTokenTreeBuilder(TokenTreeBuilder data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(java.util.Iterator<Pair<java.lang.Long,com.carrotsearch.hppc.LongSet>> data)`
`void` `add(java.lang.Long token, long keyPosition)`
`void` `add(java.util.SortedMap<java.lang.Long,com.carrotsearch.hppc.LongSet> data)`
`protected void` `constructTree()`
`boolean` `isEmpty()`
`java.util.Iterator<Pair<java.lang.Long,com.carrotsearch.hppc.LongSet>>` `iterator()`

### Methods inherited from class org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder

`add, alignBuffer, finish, flushBuffer, getTokenCount, serializedSize, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### DynamicTokenTreeBuilder

    public DynamicTokenTreeBuilder()

#### DynamicTokenTreeBuilder

    public DynamicTokenTreeBuilder(TokenTreeBuilder data)

#### DynamicTokenTreeBuilder

    public DynamicTokenTreeBuilder(java.util.SortedMap<java.lang.Long,com.carrotsearch.hppc.LongSet> data)

### Method Detail

#### add

    public void add(java.lang.Long token,
                    long keyPosition)

#### add

    public void add(java.util.Iterator<Pair<java.lang.Long,com.carrotsearch.hppc.LongSet>> data)

#### add

    public void add(java.util.SortedMap<java.lang.Long,com.carrotsearch.hppc.LongSet> data)

#### iterator

    public java.util.Iterator<Pair<java.lang.Long,com.carrotsearch.hppc.LongSet>> iterator()

#### isEmpty

    public boolean isEmpty()

#### constructTree

    protected void constructTree()

Specified by:
  `constructTree` in class `AbstractTokenTreeBuilder`